Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Class WebBrowserListenerAdapter

    java.lang.Object
      org.jdesktop.jdic.browser.WebBrowserListenerAdapter

All Implemented Interfaces:
  java.util.EventListener, WebBrowserListener

    public class WebBrowserListenerAdapter

extends java.lang.Object
implements WebBrowserListener

The class is interested in processing a WebBrowser event and spared the unconsidered details of processing to interface `WebBrowserListener`

Constructor Summary
`WebBrowserListenerAdapter()`

Method Summary
`void` | `documentCompleted(WebBrowserEvent event)` Invoked when the document loading has been completed.
`void` | `downloadCompleted(WebBrowserEvent event)` Invoked when a download operation finishes, is halted, or fails.
`void` | `downloadError(WebBrowserEvent event)` Invoked when an error occurs during a download operation.
`void` | `downloadProgress(WebBrowserEvent event)` Invoked when the progress of a download operation is updated.
`void` | `downloadStarted(WebBrowserEvent event)` Invoked when a download operation is beginning.
`void` | `initializationCompleted(WebBrowserEvent event)` Invoked when the initialization is completed.
`void` | `statusTextChange(WebBrowserEvent event)` Invoked when the status bar text is changed.
`void` | `titleChange(WebBrowserEvent event)` Invoked when the title of a document is changed.
`void` | `windowClose(WebBrowserEvent event)` Invoked in response to JavaScript window.close()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebBrowserListenerAdapter

    public WebBrowserListenerAdapter()

Method Detail

### initializationCompleted

    public void initializationCompleted(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when the initialization is completed.

  Specified by:
    `initializationCompleted` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadStarted

    public void downloadStarted(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when a download operation is beginning.

  Specified by:
    `downloadStarted` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadCompleted

    public void downloadCompleted(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when a download operation finishes, is halted, or fails.

  Specified by:
    `downloadCompleted` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadProgress

    public void downloadProgress(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when the progress of a download operation is updated.

  Specified by:
    `downloadProgress` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadError

    public void downloadError(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when an error occurs during a download operation.

  Specified by:
    `downloadError` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### documentCompleted

    public void documentCompleted(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when the document loading has been completed.

  Specified by:
    `documentCompleted` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### titleChange

    public void titleChange(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when the title of a document is changed.

  Specified by:
    `titleChange` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### statusTextChange

    public void statusTextChange(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked when the status bar text is changed.

  Specified by:
    `statusTextChange` in interface `WebBrowserListener`
  Parameters:
    `event` - the WebBrowserEvent fired.

### windowClose

    public void windowClose(WebBrowserEvent event)

  Description copied from interface: `WebBrowserListener`
  Invoked in response to JavaScript window.close()

  Specified by:
    `windowClose` in interface `WebBrowserListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.